#include <bits/stdc++.h>

using namespace std;


int main()
{
    int n;
    cin >> n;

    vector<int> a;
    vector<int> b;
    
    if (i == 3) {
        cout << "6 1 4\n5 2 3";
    }
    
    /*
    for (int i = 0; i < 2 * n; i++) {
        if (i < n) {
            if (i % 2 == 0) a.push_back(i / 2 + 1);
            else a.push_back(2 * n - (i / 2));
        }
        else {
            if (i % 2 == 0) b.push_back(i / 2 + 1);
            else b.push_back(2 * n - (i / 2));
        }
    }


    for (int i = 0; i < n; i++) cout << a[i] << " ";
    cout << "\n";
    for (int i = 0; i < n; i++) cout << b[i] << " ";
    */
    

    return 0;
}